# Interface IteratorYieldResult<TYield>

interface IteratorYieldResult< TYield > {
done ?: false;
value : TYield ;
}

#### Type Parameters

- TYield

- Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:29

##### Index

### Properties

done?
value

## Properties

### `Optional` done

done?: false

- Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:30

### value

value: TYield

- Defined in node_modules/typescript/lib/lib.es2015.iterable.d.ts:31